commit:     64a0bdcc6ab271d8d3796b4029915d32a9b3fc1a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 26 05:37:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 26 05:37:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64a0bdcc

games-puzzle/tod: respect CC, prefix

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../tod/{tod-0-r2.ebuild => tod-0-r3.ebuild}        | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

diff --git a/games-puzzle/tod/tod-0-r2.ebuild b/games-puzzle/tod/tod-0-r3.ebuild
similarity index 67%
rename from games-puzzle/tod/tod-0-r2.ebuild
rename to games-puzzle/tod/tod-0-r3.ebuild
index 9de46566b13..ad378860628 100644
--- a/games-puzzle/tod/tod-0-r2.ebuild
+++ b/games-puzzle/tod/tod-0-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit desktop
+inherit desktop toolchain-funcs
 
 DESCRIPTION="Tetanus On Drugs simulates playing Tetris under the influence of 
drugs"
 HOMEPAGE="http://www.pineight.com/tod/";
@@ -22,13 +22,28 @@ S="${WORKDIR}"
 
 src_prepare() {
        default
+
        eapply "${FILESDIR}"/${P}-makefile.patch
        eapply "${FILESDIR}"/${P}-allegro.patch
+
+       sed -i \
+               -e '/CC = gcc/d' \
+               -e 's/gcc/$(CC)/' \
+               -e 's/$(CC) $(CFLAGS)/& $(CPPFLAGS)/' \
+               -e 's/$(LDFLAGS)/$(CFLAGS) $(CPPFLAGS) &/' \
+               makefile || die
+
        sed -i \
-               -e "s:idltd\.dat:/usr/share/${PN}/idltd.dat:" \
+               -e "s:idltd\.dat:${EPREFIX}/usr/share/${PN}/idltd.dat:" \
                rec.c || die
 }
 
+src_compile() {
+       tc-export CC
+
+       emake
+}
+
 src_install() {
        newbin tod-debug.exe tod
        insinto /usr/share/${PN}

Reply via email to